LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/ssp_18xx_43xx.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
ssp_18xx_43xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
STATIC void | SSP_Write2BFifo (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
STATIC void | SSP_Write1BFifo (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
STATIC void | SSP_Read2BFifo (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
STATIC void | SSP_Read1BFifo (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
STATIC CHIP_CCU_CLK_T | Chip_SSP_GetClockIndex (LPC_SSP_T *pSSP)
STATIC CHIP_CCU_CLK_T | Chip_SSP_GetPeriphClockIndex (LPC_SSP_T *pSSP)
void | Chip_SSP_SetClockRate (LPC_SSP_T *pSSP, uint32_t clk_rate, uint32_t prescale)
| Set up output clocks per bit for SSP bus. More...
uint32_t | Chip_SSP_RWFrames_Blocking (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
| SSP Polling Read/Write in blocking mode. More...
uint32_t | Chip_SSP_WriteFrames_Blocking (LPC_SSP_T *pSSP, const uint8_t *buffer, uint32_t buffer_len)
| SSP Polling Write in blocking mode. More...
uint32_t | Chip_SSP_ReadFrames_Blocking (LPC_SSP_T *pSSP, uint8_t *buffer, uint32_t buffer_len)
| SSP Polling Read in blocking mode. More...
void | Chip_SSP_Int_FlushData (LPC_SSP_T *pSSP)
| Clean all data in RX FIFO of SSP. More...
Status | Chip_SSP_Int_RWFrames8Bits (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
| SSP Interrupt Read/Write with 8-bit frame width. More...
Status | Chip_SSP_Int_RWFrames16Bits (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
| SSP Interrupt Read/Write with 16-bit frame width. More...
void | Chip_SSP_SetMaster (LPC_SSP_T *pSSP, bool master)
| Set the SSP operating modes, master or slave. More...
void | Chip_SSP_SetBitRate (LPC_SSP_T *pSSP, uint32_t bitRate)
| Set the clock frequency for SSP interface. More...
void | Chip_SSP_Init (LPC_SSP_T *pSSP)
| Initialize the SSP. More...
void | Chip_SSP_DeInit (LPC_SSP_T *pSSP)
| Deinitialise the SSP. More...

## Function Documentation

STATIC CHIP_CCU_CLK_T Chip_SSP_GetClockIndex | ( | LPC_SSP_T * | pSSP | ) |

Definition at line 105 of file ssp_18xx_43xx.c.

STATIC CHIP_CCU_CLK_T Chip_SSP_GetPeriphClockIndex | ( | LPC_SSP_T * | pSSP | ) |

Definition at line 120 of file ssp_18xx_43xx.c.

STATIC void SSP_Read1BFifo | ( | LPC_SSP_T * | pSSP,
|  | Chip_SSP_DATA_SETUP_T * | xf_setup
| ) |  |

SSP macro: read 2 bytes from FIFO buffer

Definition at line 89 of file ssp_18xx_43xx.c.

STATIC void SSP_Read2BFifo | ( | LPC_SSP_T * | pSSP,
|  | Chip_SSP_DATA_SETUP_T * | xf_setup
| ) |  |

SSP macro: read 1 bytes from FIFO buffer

Definition at line 73 of file ssp_18xx_43xx.c.

STATIC void SSP_Write1BFifo | ( | LPC_SSP_T * | pSSP,
|  | Chip_SSP_DATA_SETUP_T * | xf_setup
| ) |  |

SSP macro: write 1 bytes to FIFO buffer

Definition at line 60 of file ssp_18xx_43xx.c.

STATIC void SSP_Write2BFifo | ( | LPC_SSP_T * | pSSP,
|  | Chip_SSP_DATA_SETUP_T * | xf_setup
| ) |  |

Definition at line 46 of file ssp_18xx_43xx.c.